net.corda.core.math

## Class CubicSplineInterpolator

- net.corda.core.math.CubicSplineInterpolator

- All Implemented Interfaces:
    Interpolator

      public class CubicSplineInterpolator
      implements Interpolator

  Interpolates values between the given data points using a `class SplineFunction`.

  Implementation uses the Natural Cubic Spline algorithm as described in R. L. Burden and J. D. Faires (2011), Numerical Analysis. 9th ed. Boston, MA: Brooks/Cole, Cengage Learning. p149-150.

  See Also:
    `class SplineFunction`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CubicSplineInterpolator.Factory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CubicSplineInterpolator.Factory` | `Factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CubicSplineInterpolator(double[] xs, double[] ys)` Interpolates values between the given data points using a `class SplineFunction`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `interpolate(double x)`

    - ### Methods inherited from interface net.corda.core.math.Interpolator

      `interpolate`

- - ### Field Detail

    - #### Factory

          public static CubicSplineInterpolator.Factory Factory

  - ### Constructor Detail

    - #### CubicSplineInterpolator

          public CubicSplineInterpolator(double[] xs,
                                         double[] ys)

      Interpolates values between the given data points using a `class SplineFunction`.

      Implementation uses the Natural Cubic Spline algorithm as described in R. L. Burden and J. D. Faires (2011), Numerical Analysis. 9th ed. Boston, MA: Brooks/Cole, Cengage Learning. p149-150.

      See Also:
        `class SplineFunction`

  - ### Method Detail

    - #### interpolate

          public double interpolate(double x)